<div class="container card bg-dark text-white">
    <div class="card-header">
        Crear Cliente
        <button type="button" class="close btn-danger " aria-label="Close" routerLink="/clientes">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="card-body">
        <form #clienteform="ngForm">
            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Nombre</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="cliente.nombre" name="nombre" required
                        #nombre="ngModel">
                    <div class="alert alert-danger" *ngIf="nombre.invalid && nombre.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="nombre.errors.required">
                           El campo nombre es obligatorio                         
                        </div>
                    </div>

                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Nombre de Usuario</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="cliente.userName" name="usuario" required
                    #usuario="ngModel">
                    <div class="alert alert-danger" *ngIf="usuario.invalid && usuario.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="usuario.errors.required">
                            El campo nombre de usuario es obligatorio                           
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Fecha de Nacimento</label>
                <div class="col-sm-6">
                    <input class="form-control" type="date" [(ngModel)]="cliente.fechaNacimiento"
                        name="fechaNacimiento" required #fechaN="ngModel">
                        <div class="alert alert-danger" *ngIf="fechaN.invalid && fechaN.touched">
                            <!-- titulo.touched  titulo.dirty-->
                            <div *ngIf="fechaN.errors.required">
                                Introduzca una fecha de nacimiento                         
                            </div>
                        </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Correo</label>
                <div class="col-sm-6">
                    <input class="form-control" type="email" [(ngModel)]="cliente.correo" name="email" required
                    #email="ngModel">
                    <div class="alert alert-danger" *ngIf="email.invalid && email.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="email.errors.required">
                            El campo email es obligatorio                           
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">D.N.I</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="cliente.dni" name="dni" required
                    #dni="ngModel">
                    <div class="alert alert-danger" *ngIf="dni.invalid && dni.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="dni.errors.required">
                            El campo DNI es obligatorio                    
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Contraseña</label>
                <div class="col-sm-6">
                    <input class="form-control" type="password" [(ngModel)]="cliente.pass" name="pass" required
                    #pass="ngModel">
                    <div class="alert alert-danger" *ngIf="pass.invalid && pass.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="pass.errors.required">
                            Introduzca una contraseña                     
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                    <label for="" class="col-form-label col-sm-2">Rol</label>
                    <div  class="col-sm-6">
                        <select [compareWith]="compararRol" multiple class="form-control" [(ngModel)]="cliente.roles" name="roles" required>
                            <option *ngFor="let role of roles" [ngValue]="role">{{ role.rol }}</option>
                        </select>
                    </div>
                </div>

                
            <div class="form-group row">
                <div class="col-sm-6">
                    <button class="btn btn-primary" type="button" (click)="create()" *ngIf="!nuevoCliente"
                        [disabled]="!clienteform.form.valid">Crear</button>
                    <button class="btn btn-primary" type="button" (click)="update()" *ngIf="nuevoCliente"
                        [disabled]="!clienteform.form.valid">Editar</button>
                </div>
            </div>
        </form>
    </div>
</div>